<template>
  <div :class="windowDeco">
    <div id="drag-window" class="drag-window">
     
    </div>
    <div class="close-window">
      <img src="../assets/graphics/close.svg" />
    </div>
    <div class="window-content-container">
      <h2 class="window-header-left">
        LOOKOUT, <br />
        INTERFACES ARE EVERYWHERE
      </h2>
      <p class="window-paragraph">
        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
        tempor incididunt ut labore et dolore magna aliqua. Mauris ultrices eros
        in cursus turpis massa tincidunt dui ut. At risus viverra adipiscing at
        in tellus. Pellentesque dignissim enim sit amet venenatis. Malesuada
        fames ac turpis egestas sed tempus. Vel orci porta non pulvinar. In
        dictum non consectetur a erat nam. Ultrices neque ornare aenean euismod
        elementum nisi quis. Enim ut sem viverra aliquet eget sit amet tellus.
        Id neque aliquam vestibulum morbi blandit cursus risus. Penatibus et
        magnis dis parturient. Semper eget duis at tellus at urna. Sed faucibus
        turpis in eu mi bibendum neque. Senectus et netus et malesuada fames ac.
      </p>
      <h2 class="window-header-right">THEY MIGHT BE RIGHT IN FRONT OF YOU!</h2>
      <p class="window-paragraph">
        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
        tempor incididunt ut labore et dolore magna aliqua. Mauris ultrices eros
        in cursus turpis massa tincidunt dui ut. At risus viverra adipiscing at
        in tellus. Pellentesque dignissim enim sit amet venenatis. Malesuada
        fames ac turpis egestas sed tempus. Vel orci porta non pulvinar. In
        dictum non consectetur a erat nam. Ultrices neque ornare aenean euismod
        elementum nisi quis. Enim ut sem viverra aliquet eget sit amet tellus.
        Id neque aliquam vestibulum morbi blandit cursus risus. Penatibus et
        magnis dis parturient. Semper eget duis at tellus at urna. Sed faucibus
        turpis in eu mi bibendum neque. Senectus et netus et malesuada fames ac.
      </p>
    </div>
  </div>
</template>
<script>
export default {
  components: {},
  mounted(){
  },

  props: {
    drag: Boolean,
  },
  computed: {
    windowDeco() {
      if (this.drag) {
        return "content-window drag-shadow";
      }

      return "content-window";
    },
  },
};
</script>
